# $Revision: 1.212 $, $Date: 2010/03/26 07:37:31 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make tests"
%bcond_with	purify	# Compile openssl with \-DPURIFY, useful when one wants to
			# use valgrind debugger against openssl-linked programs

%include	/usr/lib/rpm/macros.perl
Summary:	OpenSSL Toolkit libraries for the "Secure Sockets Layer" (SSL v2/v3)
Summary(de.UTF-8):	Secure Sockets Layer (SSL)-Kommunikationslibrary
Summary(es.UTF-8):	Biblioteca C que suministra algoritmos y protocolos criptográficos
Summary(fr.UTF-8):	Utilitaires de communication SSL (Secure Sockets Layer)
Summary(pl.UTF-8):	Biblioteki OpenSSL (SSL v2/v3)
Summary(pt_BR.UTF-8):	Uma biblioteca C que fornece vários algoritmos e protocolos criptográficos
Summary(ru.UTF-8):	Библиотеки и утилиты для соединений через Secure Sockets Layer
Summary(uk.UTF-8):	Бібліотеки та утиліти для з'єднань через Secure Sockets Layer
Name:		openssl
Version:	0.9.8n
Release:	1
License:	Apache-like
Group:		Libraries
Source0:	ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	076d8efc3ed93646bd01f04e23c07066
Source2:	%{name}.1.pl
Source3:	%{name}-ssl-certificate.sh
Source4:	%{name}-c_rehash.sh
Patch0:		%{name}-alpha-ccc.patch
Patch1:		%{name}-optflags.patch
Patch2:		%{name}-globalCA.diff
Patch3:		%{name}-include.patch
Patch4:		%{name}-man-namespace.patch
Patch5:		%{name}-asflag.patch
Patch6:		%{name}-ca-certificates.patch
Patch7:		%{name}-fips_install.patch
Patch8:		%{name}-ldflags.patch
URL:		http://www.openssl.org/
BuildRequires:	bc
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
Requires:	ca-certificates >= 20080809-4
Requires:	rpm-whiteout >= 1.7
Obsoletes:	SSLeay
Obsoletes:	SSLeay-devel
Obsoletes:	SSLeay-perl
Obsoletes:	libopenssl0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography world-wide. The project
is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its
related documentation.

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get
and use it for commercial and non-commercial purposes subject to some
simple license conditions.

This package contains shared libraries only, install openssl-tools if
you want to use openssl cmdline tool.

%description -l de.UTF-8
Openssl enthält das OpenSSL Zertifikatsmanagementtool und shared
libraries, die verschiedene Verschlüsselungs- und
Entschlüsselungsalgorithmen und -protokolle, wie DES, RC4, RSA und SSL
zur Verfügung stellen.

%description -l es.UTF-8
Biblioteca C que suministra algoritmos y protocolos criptográficos.

%description -l fr.UTF-8
OpenSSL est un outiil de gestion des certificats et les librairies
partagees qui fournit plusieurs protocoles et algorithmes de
codage/decodage, incluant DES, RC4, RSA et SSL.

%description -l pl.UTF-8
Implementacja protokołów kryptograficznych Secure Socket Layer (SSL)
v2/v3 oraz Transport Layer Security (TLS v1).

%description -l pt_BR.UTF-8
Uma biblioteca C que fornece vários algoritmos e protocolos
criptográficos, incluindo DES, RC4, RSA e SSL. Inclui bibliotecas
compartilhadas e utilitários.

%description -l ru.UTF-8
Программа openssl для работы с сертификатами и разделяемые библиотеки,
которые реализуют множетсво криптографических алгоритмов, включая DES,
RC4, RSA и SSL.

%description -l uk.UTF-8
Програма openssl для роботи з сертифікатами та бібліотеки спільного
користування, що реалізують велику кількість криптографічних
алгоритмів, включаючи DES, RC4, RSA та SSL.

%package tools
Summary:	OpenSSL command line tool and utilities
Summary(pl.UTF-8):	Zestaw narzędzi i skryptów
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	which

%description tools
The OpenSSL Toolkit cmdline tool openssl and utility scripts.

%description tools -l pl.UTF-8
Zestaw narzędzi i skryptów wywoływanych z linii poleceń.

%package tools-perl
Summary:	OpenSSL utilities written in Perl
Summary(pl.UTF-8):	Narzędzia OpenSSL napisane w perlu
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description tools-perl
OpenSSL Toolkit tools written in Perl.

%description tools-perl -l pl.UTF-8
Narzędzia OpenSSL napisane w perlu.

%package devel
Summary:	Development part of OpenSSL Toolkit libraries
Summary(de.UTF-8):	Secure Sockets Layer Kommunikationslibrary: statische libraries+header
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para desarrollo OpenSSL
Summary(fr.UTF-8):	Librairies statiques, headers et utilitaires pour communication SSL
Summary(pl.UTF-8):	Część bibiloteki OpenSSL przeznaczona dla programistów
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento OpenSSL
Summary(ru.UTF-8):	Библиотеки, хедеры и утилиты для Secure Sockets Layer
Summary(uk.UTF-8):	Бібліотеки, хедери та утиліти для Secure Sockets Layer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libopenssl0-devel

%description devel
Development part of OpenSSL library.

%description devel -l es.UTF-8
Bibliotecas y archivos de inclusión para desarrollo OpenSSL

%description devel -l pl.UTF-8
Część biblioteki OpenSSL przeznaczona dla programistów.

%description devel -l pt_BR.UTF-8
Uma biblioteca C que fornece vários algoritmos e protocolos
criptográficos, incluindo DES, RC4, RSA e SSL. Inclui bibliotecas e
arquivos de inclusão para desenvolvimento.

%description devel -l ru.UTF-8
Программа openssl для работы с сертификатами и разделяемые библиотеки,
которые реализуют множетсво криптографических алгоритмов, включая DES,
RC4, RSA и SSL. Включает библиотеки и хедеры для разработки приложений
с использованием SSL.

%description devel -l uk.UTF-8
Програма openssl для роботи з сертифікатами та бібліотеки спільного
користування, що реалізують велику кількість криптографічних
алгоритмів, включаючи DES, RC4, RSA та SSL. Містить бібліотеки та
хедери для розробки програм з використанням SSL.

%package static
Summary:	Static OpenSSL libraries
Summary(pl.UTF-8):	Statyczne wersje bibliotek z OpenSSL
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com openssl
Summary(ru.UTF-8):	Статические библиотеки разработчика для OpenSSL
Summary(uk.UTF-8):	Статичні бібліотеки програміста для OpenSSL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenSSL Toolkit libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek z OpenSSL.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com openssl.

%description static -l ru.UTF-8
Программа openssl для работы с сертификатами и разделяемые библиотеки,
которые реализуют множетсво криптографических алгоритмов, включая DES,
RC4, RSA и SSL. Включает статические библиотеки для разработки
приложений с использованием OpenSSL.

%description static -l uk.UTF-8
Програма openssl для роботи з сертифікатами та бібліотеки спільного
користування, що реалізують велику кількість криптографічних
алгоритмів, включаючи DES, RC4, RSA та SSL. Містить статичні
бібліотеки для розробки програм з використанням SSL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%{__perl} -pi -e 's#%{_prefix}/local/bin/perl#%{__perl}#g' \
	`grep -l -r "%{_prefix}/local/bin/perl" *`

sed -i -e 's|$prefix/lib/engines|/%{_lib}/engines|g' Configure

%build
touch Makefile.*

%{__perl} util/perlpath.pl %{__perl}

OPTFLAGS="%{rpmcflags} %{?with_purify:-DPURIFY}" \
./Configure \
%if "%{pld_release}" == "ti"
	--openssldir=%{_var}/lib/%{name} \
%else
	--openssldir=%{_sysconfdir}/%{name} \
%endif
	--libdir=%{_lib} \
	shared threads \
	enable-tlsext \
	enable-seed \
	enable-rfc3779 \
	enable-cms \
	enable-idea \
	enable-mdc2 \
	enable-rc5 \
%ifarch %{ix86}
%ifarch i386
	386 linux-elf
# ^- allow running on 80386 (default code uses bswapl available on i486+)
%else
	linux-elf
%endif
%endif
%ifarch alpha
	linux-alpha+bwx-gcc
%endif
%ifarch %{x8664}
	linux-x86_64
%endif
%ifarch ia64
	linux-ia64
%endif
%ifarch ppc
	linux-ppc
%endif
%ifarch ppc64
	linux-ppc64
%endif
%ifarch sparc
	linux-sparcv8
%endif
%ifarch sparcv9
	linux-sparcv9
%endif
%ifarch sparc64
	linux64-sparcv9
%endif

%{__make} -j1 all rehash %{?with_tests:tests} \
	CC="%{__cc}" \
	ASFLAG='$(CFLAG) -Wa,--noexecstack' \
	INSTALLTOP=%{_prefix}

# Rename POD sources of man pages. "openssl_" prefix is added to each
# manpage to avoid potential conflicts with other packages.

for dir in doc/{apps,ssl,crypto}; do
	cd $dir || exit 1;
	%{__perl} -pi -e 's/(\W)((?<!openssl_)\w+)(\(\d\))/$1openssl_$2$3/g; s/openssl_openssl/openssl/g;' *.pod;

	for pod in !(openssl*).pod; do
		mv -f $pod openssl_$pod;
	done
	cd ../..
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT{%{_mandir}/{pl/man1,man{1,3,5,7}},%{_datadir}/ssl} \
	$RPM_BUILD_ROOT/%{_lib}/engines \
	$RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	INSTALLTOP=%{_prefix} \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

mv -f $RPM_BUILD_ROOT/%{_libdir}/engines/* $RPM_BUILD_ROOT/%{_lib}/engines
mv -f $RPM_BUILD_ROOT/%{_libdir}/lib*.so.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libcrypto.*.*) $RPM_BUILD_ROOT%{_libdir}/libcrypto.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libssl.*.*) $RPM_BUILD_ROOT%{_libdir}/libssl.so

%if "%{pld_release}" == "ti"
ln -sf %{_var}/lib/%{name}/%{name}.cnf \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/openssl.cnf
ln -sf %{_var}/lib/%{name}/certs \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/certs
ln -sf %{_var}/lib/%{name}/private \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/private
mv -f $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc/* $RPM_BUILD_ROOT%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc
%else
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/misc/* $RPM_BUILD_ROOT%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/misc
%endif

# not installed as individual utilities (see openssl dgst instead)
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{md2,md4,md5,mdc2,ripemd160,sha,sha1}.1

cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/openssl.1
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/ssl-certificate
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/c_rehash.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%if "%{pld_release}" == "ti"
%triggerin -- %{name}-tools < 0.9.8i-2
if [ -L /var/lib/openssl/openssl.cnf ] ; then
	echo "Saving old configuration as /var/lib/openssl/openssl.cnf.rpmsave"
	rm /var/lib/openssl/openssl.cnf
	mv %{_sysconfdir}/%{name}/openssl.cnf /var/lib/openssl/openssl.cnf.rpmsave 2>/dev/null || :
fi
%else
%triggerpostun -- %{name} < 0.9.8i-2
if [ -d /var/lib/openssl/certs ] ; then
	mv /var/lib/openssl/certs/* %{_sysconfdir}/%{name}/certs 2>/dev/null || :
fi
if [ -d /var/lib/openssl/private ] ; then
	mv /var/lib/openssl/private/* %{_sysconfdir}/%{name}/private 2>/dev/null || :
fi
if [ -d /var/lib/openssl ] ; then
	for f in /var/lib/openssl/* ; do
		[ -f "$f" ] && mv "$f" %{_sysconfdir}/%{name} 2>/dev/null || :
	done
fi
%endif

%files
%defattr(644,root,root,755)
%doc CHANGES CHANGES.SSLeay LICENSE NEWS README doc/*.txt
%doc doc/openssl_button.gif doc/openssl_button.html
%attr(755,root,root) /%{_lib}/libcrypto.so.*.*.*
%attr(755,root,root) /%{_lib}/libssl.so.*.*.*
%dir /%{_lib}/engines
%attr(755,root,root) /%{_lib}/engines/*.so
%if "%{pld_release}" == "ti"
%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/certs
%dir %{_var}/lib/%{name}/private
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_sysconfdir}/%{name}/certs
%attr(755,root,root) %{_sysconfdir}/%{name}/private
%else
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/certs
%dir %{_sysconfdir}/%{name}/private
%endif
%dir %{_datadir}/ssl

%files tools
%defattr(644,root,root,755)
%if "%{pld_release}" == "ti"
%{_sysconfdir}/%{name}/openssl.cnf
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/%{name}/openssl.cnf
%else
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/openssl.cnf
%endif
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/c_rehash.sh
%attr(754,root,root) %{_bindir}/ssl-certificate

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/CA.sh
%attr(755,root,root) %{_libdir}/%{name}/c_hash
%attr(755,root,root) %{_libdir}/%{name}/c_info
%attr(755,root,root) %{_libdir}/%{name}/c_issuer
%attr(755,root,root) %{_libdir}/%{name}/c_name

%{_mandir}/man1/openssl.1*
%{_mandir}/man1/openssl_asn1parse.1*
%{_mandir}/man1/openssl_ca.1*
%{_mandir}/man1/openssl_ciphers.1*
%{_mandir}/man1/openssl_crl.1*
%{_mandir}/man1/openssl_crl2pkcs7.1*
%{_mandir}/man1/openssl_dgst.1*
%{_mandir}/man1/openssl_dhparam.1*
%{_mandir}/man1/openssl_dsa.1*
%{_mandir}/man1/openssl_dsaparam.1*
%{_mandir}/man1/openssl_ec.1*
%{_mandir}/man1/openssl_ecparam.1*
%{_mandir}/man1/openssl_enc.1*
%{_mandir}/man1/openssl_errstr.1*
%{_mandir}/man1/openssl_gendsa.1*
%{_mandir}/man1/openssl_genrsa.1*
%{_mandir}/man1/openssl_nseq.1*
%{_mandir}/man1/openssl_ocsp.1*
%{_mandir}/man1/openssl_passwd.1*
%{_mandir}/man1/openssl_pkcs12.1*
%{_mandir}/man1/openssl_pkcs7.1*
%{_mandir}/man1/openssl_pkcs8.1*
%{_mandir}/man1/openssl_rand.1*
%{_mandir}/man1/openssl_req.1*
%{_mandir}/man1/openssl_rsa.1*
%{_mandir}/man1/openssl_rsautl.1*
%{_mandir}/man1/openssl_s_client.1*
%{_mandir}/man1/openssl_s_server.1*
%{_mandir}/man1/openssl_s_time.1*
%{_mandir}/man1/openssl_sess_id.1*
%{_mandir}/man1/openssl_smime.1*
%{_mandir}/man1/openssl_speed.1*
%{_mandir}/man1/openssl_spkac.1*
%{_mandir}/man1/openssl_verify.1*
%{_mandir}/man1/openssl_version.1*
%{_mandir}/man1/openssl_x509.1*
%{_mandir}/man5/openssl_config.5*
%{_mandir}/man5/openssl_x509v3_config.5*
%lang(pl) %{_mandir}/pl/man1/openssl.1*

%files tools-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/c_rehash
%attr(755,root,root) %{_libdir}/%{name}/CA.pl
%{_mandir}/man1/openssl_CA.pl.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcrypto.so
%attr(755,root,root) %{_libdir}/libssl.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libcrypto.pc
%{_pkgconfigdir}/libssl.pc
%{_pkgconfigdir}/openssl.pc
%{_mandir}/man3/openssl*.3*
%{_mandir}/man7/openssl_des_modes.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openssl.spec,v $
Revision 1.212  2010/03/26 07:37:31  glen
- up to 0.9.8n
  CVE-2010-0740 security fix release

Revision 1.211  2010/03/24 10:02:56  baggins
- rel 2
- tools require which for c_rehash.sh

Revision 1.210  2010/03/20 10:04:31  qboosh
- updated to 0.9.8m
- updated optflags,include,fips_install patches
- fixed ldflags patch (patch Makefile.org, not generated Makefile)
- removed obsolete libvar,CVE-2009-1377-1378-1379,parallel-build,x86_64-asm patches

Revision 1.209  2009/11/24 11:48:02  baggins
- rel 2
- moved libs and engines to /lib, openssl is needed by heimdal, which is needed
  by rpcbind which must have all its libs on / in case of /usr over NFS

Revision 1.208  2009/11/12 12:56:52  arekm
- x86_64 asm fixes

Revision 1.207  2009/11/06 07:27:48  arekm
- up to 0.9.8l (workarounds CVE-2009-3555 by disabling renegotiation). Doesn't build due to asm problems.

Revision 1.206  2009/10/26 09:12:22  glen
- -ldflags.patch, -parallel-build.patch from gentoo; rel 3

Revision 1.205  2009/07/28 15:44:54  arekm
- rel 2; fixes CVE-2009-1377 CVE-2009-1378 CVE-2009-1379; enable tlsext and rfc3779

Revision 1.204  2009/07/28 14:08:06  arekm
- enable tlsext

Revision 1.203  2009/05/25 10:45:47  blues
- security blockers added

Revision 1.202  2009/03/26 09:20:29  arekm
- up to 0.9.8k (fixes CVE-2009-0590, CVE-2009-0591, CVE-2009-0789)

Revision 1.201  2009/03/13 13:21:28  arekm
- rel 2; fix engines dir

Revision 1.200  2009/01/11 00:23:08  adamg
- CVE reference for 0.9.8j

Revision 1.199  2009/01/08 12:37:02  shadzik
- add patch8
- builds

Revision 1.198  2009/01/08 11:53:57  shadzik
- 0.9.8j, not tested
  [ fixes CVE-2008-5077 ]

Revision 1.197  2008/12/11 22:51:47  hawk
- oops! don't add symlinks as dirs for Titanium

Revision 1.196  2008/12/11 22:34:33  hawk
- keep /var/lib/openssl as default dir in Titanium, moving to /etc/openssl
  breaks too many apps and messess up stuff created manually in
  /var/lib/openssl, however add symlinks in /etc/openssl to keep
  compatibility with official PLD
- release 5

Revision 1.195  2008/11/13 09:30:01  glen
- ca-certificates moved to /etc/certs; rel 4

Revision 1.194  2008/11/03 13:25:56  baggins
- rel 3
- added shell version of c_rehash script to -tools

Revision 1.193  2008/11/01 18:33:49  baggins
- R: rpm-whiteout >= 1.7

Revision 1.192  2008/11/01 18:28:20  baggins
- strict R on ca-certificates

Revision 1.191  2008/11/01 18:25:02  baggins
- rel 2
- move /var/lib/openssl to /etc/openssl (trigger provided)
- switch ca-bundle to ca-certificates one

Revision 1.190  2008/10/01 18:33:48  qboosh
- note on ca-bundle

Revision 1.189  2008/10/01 18:27:03  qboosh
- added man-namespace patch, use openssl_ namespace for man links too
- added asflag patch, pass --noexecstack in ASFLAG without tampering CFLAGS;
  it's sufficient to get non-exec stack with proper gcc/binutils

Revision 1.188  2008/09/29 22:06:03  pawelz
- decrease rel (I forgot to do it in last commit)

Revision 1.187  2008/09/29 21:52:48  pawelz
- up to 0.9.8i
- killed patch5. It has been applied upstream.
- Is there any reason to leave a lot of manuals unpackaged?

Revision 1.186  2008/07/18 13:56:15  arekm
- rel 4; fixed pkcs12 generation segfaults

Revision 1.185  2008/07/15 09:17:29  zbyniu
- now noexecstack works; rel 3

Revision 1.184  2008/07/11 23:56:04  zbyniu
- -Wl,-z,noexecstack to LDFLAGS, please don't break PaX kernel; rel 2

Revision 1.183  2008-05-30 05:46:21  qboosh
- updated for 0.9.8h (fixes CVE-2008-0891 CVE-2008-1672)
- updated optflags patch, removed obsolete md5-sparcv9 patch
- dropped -Wl,-z,* from specflags (linker-only option, invalid as compiler option)

Revision 1.182  2008-03-21 10:50:20  pluto
- mark stack as non-executable for PaX kernel.

Revision 1.181  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.180  2007/10/25 15:38:51  qboosh
- cleanup

Revision 1.179  2007/10/22 21:59:04  arekm
- up to 0.9.8g; binary compat fixes

Revision 1.178  2007/10/21 16:23:22  draenog
- don't generate man pages manually; %{_make} install does it

Revision 1.177  2007/10/18 22:32:54  areq
- rel 4; use groff symlink for config.5 x509v3_config.5

Revision 1.176  2007/10/18 19:30:12  arekm
- don't install man pages manually

Revision 1.175  2007/10/18 11:15:15  arekm
- rel 3; use groff symlink for man

Revision 1.174  2007/10/17 19:13:25  arekm
- rel 2

Revision 1.173  2007/10/17 18:02:52  arekm
- up to 0.9.8f [CVE-2007-4995, CVE-2007-5135]

Revision 1.172  2007/08/24 20:13:53  adamg
- fix for CVE-2007-3108
- release 5

Revision 1.171  2007/04/29 19:49:40  qboosh
- moved c_rehash to bindir for ca-certificates (merged from AC-branch, by glen)
- release 4

Revision 1.170  2007/02/24 23:34:21  arekm
- rel 3; more gcc 4.2 hacks until issue properly resolved

Revision 1.169  2007/02/24 20:58:55  arekm
- gcc_4_2 patch still needed unfortunately

Revision 1.168  2007/02/24 19:14:28  arekm
- up to 0.9.8e

Revision 1.167  2007/02/15 19:16:17  arekm
- rel 4; fix config.5 symlink; add tests bcond

Revision 1.166  2007/02/15 14:19:41  arekm
- rel 3

Revision 1.165  2007/02/15 13:11:58  pluto
- always run testsuite to detect regressions/misscompilations.

Revision 1.164  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.163  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.162  2007/01/28 16:51:57  arekm
- rel 2; fix symlinks

Revision 1.161  2006/11/09 14:36:41  jajcus
- patch (hack) added to compile with gcc-4.2

Revision 1.160  2006/10/03 09:14:01  qboosh
- typo in changelog

Revision 1.159  2006/10/03 09:12:55  qboosh
- unified

Revision 1.158  2006/10/01 10:19:09  paszczus
- updated to 0.9.8d (fixes CVE-2006-{2937,2940,3738,4343})

Revision 1.157  2006/09/06 15:30:30  paszczus
- updated to 0.9.8c [fixes the vulnerability CVE-2006-4339]

Revision 1.156  2006/09/06 13:24:29  sparky
- -j1, build broken on smp

Revision 1.155  2006/08/03 02:55:44  sparky
- pass rpmldflags

Revision 1.154  2006/07/14 20:10:24  sparky
- i386: move comment after configure option, useful for rpm which does not
  cut comments

Revision 1.153  2006/07/14 20:03:21  sparky
- fix build on 64bit archs, pkgconfig fixes in patch

Revision 1.152  2006/06/13 10:13:03  qboosh
- spelling

Revision 1.151  2006/06/13 09:21:00  jajcus
- 'purify' bcond added

Revision 1.150  2006/05/08 22:37:39  wiget
- updated to 0.9.8b

Revision 1.149  2006/03/21 19:51:44  radek
- release 2: added certificates from Mozilla
- moved ca-bundle.crt to main package (rev 1.75 didn't)

Revision 1.148  2006/03/05 09:06:24  qboosh
- dropped ssl-algs patch (0.9.8 requires apps rebuild anyway, so no reason to keep obsolete ABI)

Revision 1.147  2006/03/05 09:04:20  qboosh
- merged 0.9.8a from DEVEL (0.9.7X left on AC-branch)

Revision 1.146  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.145  2005/10/15 15:15:38  glen
- updated to 0.9.7i

Revision 1.144  2005/10/13 06:27:41  arekm
- backward binary compatibility

Revision 1.143  2005/10/12 12:33:26  qboosh
- added CAN note

Revision 1.142  2005/10/12 11:15:42  havner
- 0.9.7h
  [fixes CAN-2005-2969]

Revision 1.141  2005/08/27 14:37:04  arekm
- rel 3

Revision 1.140.2.2  2005/10/12 12:54:40  qboosh
- updated to 0.9.8a (fixes CAN-2005-2969)

Revision 1.140.2.1  2005/07/24 19:49:01  qboosh
- updated to 0.9.8
- updated alpha-ccc,optflags patches

Revision 1.140  2005/07/24 16:36:14  qboosh
- fix libdir in *.pc, release 2

Revision 1.139  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.138  2005/05/11 02:48:14  pluto
- exclude invalid libfips.so symlink from %files.

Revision 1.137  2005/04/15 22:08:33  qboosh
- updated to 0.9.7g

Revision 1.136  2005/03/24 19:53:04  qboosh
- updated to 0.9.7f, updated optflags patch

Revision 1.135  2005/03/21 18:28:44  mmazur
- rel 3 for th

Revision 1.134  2005/02/02 09:22:51  speedy
- redefine SSLeay_add_ssl_algorithms
- fix sparc64-linux optflags
- fix sparc64 md5
- release 2

Revision 1.133  2004/11/20 21:16:02  qboosh
- hack to fix build on i386
- use default x86 code on i486 (only i386 is exceptional)

Revision 1.132  2004/10/27 17:45:41  darekr
- added missing file openssl_fips_fingerprint

Revision 1.131  2004/10/26 18:32:48  qboosh
- updated to 0.9.7e, updated optflags,include patches, removed obsolete smime patch

Revision 1.130  2004/10/13 10:51:16  mmazur
- rel 6 for th

Revision 1.129  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.128  2004/07/13 19:41:35  qboosh
- added ia64, sorted archs

Revision 1.127  2004/06/24 00:17:27  pluto
- %install: %{__cc} added.

Revision 1.126  2004/06/23 23:51:49  pluto
- more sparc targets.

Revision 1.125  2004/06/04 14:04:14  ankry
- rebuild, rel. 5

Revision 1.124  2004/06/04 10:45:34  aflinta
- release 4 - sparc edition upgrade ;)

Revision 1.123  2004/06/01 20:03:39  qboosh
- added smime patch ("make S/MIME encrypt work again"); release 3

Revision 1.122  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.121  2004/03/17 17:35:27  qboosh
- security update to 0.9.7d (fixes CAN-2004-0079, CAN-2004-0112)
- removed obsolete makefile,parallel_make patches

Revision 1.120  2004/03/14 15:27:48  adgor
- Typo

Revision 1.119  2004/03/14 13:23:53  gotar
- moved %dir %{_var}/lib/%{name}/{,certs,private} to the main package;
  there are programs (like proftpd) which take certificates from that
  directory, but they don't require openssl-tools,
- release 4.

Revision 1.118  2004/02/28 21:41:12  qboosh
- strict internal deps, removed redundant BR textutils
- simplified grep -r | cut -> grep -l -r

Revision 1.117  2004/02/28 17:20:27  saq
- a minor speed-up (invoke perl -pi -e once for many files)
- generalized the ix86 architecture condition

Revision 1.116  2004/02/28 16:55:17  andree
- allow build on pentium3 (ifarch)

Revision 1.115  2004/01/08 10:05:45  qboosh
- well, one ifarch for one arch is enough...

Revision 1.114  2004/01/08 09:54:41  blues
- release 3 - added script for creating selfsigned certs, taken from debian

Revision 1.113  2004/01/02 17:49:49  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.112  2003/12/18 22:46:47  jajcus
- put pkgconfig file in the right directory on amd64

Revision 1.111  2003/11/18 16:59:03  adasi
- x86_64 arch support

Revision 1.110  2003/10/20 19:00:28  qboosh
- use _pkgconfigdir macro

Revision 1.109  2003/10/01 08:41:23  qboosh
- cosmetics

Revision 1.108  2003/09/30 21:27:58  pius
- added openssl-makefile.patch

Revision 1.107  2003/09/30 19:38:10  blues
- md5 fix & cosmetics

Revision 1.106  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.105  2003/08/24 23:51:24  mmazur
- rel 1 for ac

Revision 1.104  2003/08/20 19:20:22  krzak
- make with set INSTALLTOP
- include.patch
- rel 0.3

Revision 1.103  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.102  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.101  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.100  2003/04/24 13:50:19  radek
- removed BR:perl-tools-pod, it's implied by perl-devel

Revision 1.99  2003/04/15 21:44:01  qboosh
- fixed broken entries in optflags patch, release 0.2

Revision 1.98  2003/04/12 10:23:19  misi3k
- updated to 0.9.7b
- removed patch 4 & 5 (not needed)
- rel 0.1
  Note: Test me

Revision 1.97  2003/03/20 09:59:34  djrzulf
- added BR: perl-tools-pod

Revision 1.96  2003/03/20 09:09:52  misi3k
- security patch (no 5) - CAN-2003-0131 (Klima-Pokorny-Rosa attack on RSA in SSL/TLS)

Revision 1.95  2003/03/17 19:01:36  misi3k
- rel 1

Revision 1.94  2003/03/17 18:43:02  misi3k
- secuirty patch (patch4)

Bug (bugtraq):
Researchers have discovered a timing attack on RSA keys, to which
OpenSSL is generally vulnerable, unless RSA blinding has been turned
on.

Typically, it will not have been, because it is not easily possible to
do so when using OpenSSL to provide SSL or TLS.

The enclosed patch switches blinding on by default. Applications that
wish to can remove the blinding with RSA_blinding_off(), but this is
not generally advised. It is also possible to disable it completely by
defining OPENSSL_NO_FORCE_RSA_BLINDING at compile-time.

The performance impact of blinding appears to be small (a few
percent).

This problem affects many applications using OpenSSL, in particular,
almost all SSL-enabled Apaches. You should rebuild and reinstall
OpenSSL, and all affected applications.

The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2003-0147 to this issue.

We strongly advise upgrading OpenSSL in all cases, as a precaution.

Revision 1.93  2003/03/03 08:52:07  trojan
- s/#%{/#%{/

Revision 1.92  2003/03/02 21:36:53  radek
- use the __perl macro

Revision 1.91  2003/02/19 20:51:11  misi3k
- updated to 0.9.7a

Revision 1.90  2003/02/16 20:14:57  juandon
- added parallel_make patch

Revision 1.89  2003/01/30 23:30:24  mmazur
- added URL

Revision 1.88  2003/01/05 23:49:49  orzech
- upgrade seems finished
- release 0.9 - testing needed

Revision 1.87  2003/01/05 21:30:14  orzech
- up to 0.9.7

Revision 1.86  2002/12/31 11:16:21  gotar
- cut off Vendor, cosmetics

Revision 1.85  2002/12/24 09:30:13  orzech
- partial update, doesnt build (./Configure is perl script, it sucks)

Revision 1.84  2002/12/21 23:10:02  orzech
- up to 0.9.6h

Revision 1.83  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.82  2002/10/24 09:57:21  ankry
- added pl openssl.1 man page, rel. 2

Revision 1.81  2002/10/02 11:05:11  qboosh
- merged DEVEL branch (update to 0.9.6g)

Revision 1.77.2.6  2002/08/16 18:57:25  qboosh
- updated to 0.9.6g, removed obsolete makefix patch

Revision 1.77.2.5  2002/08/09 10:09:43  qboosh
- updated to 0.9.6f (more security fixes)

Revision 1.77.2.4  2002/08/08 08:04:12  qboosh
- new %doc

Revision 1.77.2.3  2002/07/30 17:53:21  qboosh
- added 2 missing man pages

Revision 1.77.2.2  2002/07/30 13:56:08  qboosh
- security update to 0.9.6e

Revision 1.77.2.1  2002/05/13 20:06:38  qboosh
- 0.9.6d (bugfixes), updated optflags and nocrypt patches

Revision 1.77  2002/05/05 12:19:56  kloczek
- merge DEVEL bramnch to HEAD (updated to 0.9.6c),
- merge translations from KSI and Conectiva.

Revision 1.76  2002/04/19 09:40:12  wiget
- one more fix in nocrypt.patch (openssl/des.h must not define prototype of crypt()), release 9

Revision 1.75  2002/03/17 11:34:53  kloczek
- fix: move ca-bundle.crt to main package.

Revision 1.74  2002/03/17 09:23:54  kloczek
- release 8,
- added to bundle CA Root Certificates Unizeto certificates,
- use CC=%{__cc} on compile.

Revision 1.73  2002/03/06 16:45:47  kloczek
- removed all embeded stuff.

Revision 1.72  2002/03/06 10:25:09  qboosh
- fixed removing uclibc stuff

Revision 1.71  2002/03/05 17:30:52  marcus
- removed uclibc stuff
- rel.7.

Revision 1.70  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.69  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.68  2002/02/19 18:53:35  gotar
- %desc

Revision 1.67  2002/02/02 20:32:09  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.66  2002/01/31 23:56:53  ankry
- removed bogus Group(fr)

Revision 1.65  2002/01/26 13:18:58  filon
- athlon updates
- relase 2

Revision 1.64  2002/01/23 16:28:59  malekith
- added devel-embed subpackage
- rel 6

Revision 1.63  2002/01/18 02:14:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.62  2002/01/03 06:33:47  kloczek
- release 5: libopenssl0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.61  2001/11/20 17:12:05  wiget
- remove crypt(3) from libcrypto;release 4

Revision 1.60  2001/07/15 11:46:45  kloczek
- release 3: basck to SONAME 0.9.6.1.

Revision 1.59  2001/07/12 21:15:25  kloczek
- release 2: bump SONAME to 0.9.6.2.

Revision 1.58  2001/07/11 23:25:24  qboosh
- 0.9.6b - security and bug fixes release

Revision 1.57  2001/05/24 18:02:00  misiek
- release 4

Revision 1.56  2001/05/24 17:05:24  serek
- link correction.

Revision 1.55  2001/05/08 20:10:36  kloczek
- release 3,
- added optflags patch (based on redhat patch from rawhide),
- simplifications in %build and %install.

Revision 1.54  2001/05/07 14:56:43  wiget
- use patch1

Revision 1.53  2001/05/07 14:22:15  wiget
- add soname patch (fix ABI brakage)

Revision 1.52  2001/05/04 15:22:56  wiget
- 0.9.6a

Revision 1.51  2001/05/01 23:30:51  misiek
- fix _all_ perl paths
- package need update to 0.9.6a (since few important bug were fixed)

Revision 1.50  2001/04/30 16:05:25  kloczek
- added using %{rpmcflags} macro.

Revision 1.49  2001/04/17 12:04:54  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.48  2001/01/25 20:03:42  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.47  2000/12/28 15:06:51  baggins
- release 5
- moved c_rehash to perl package (it's a perl script)
- fixed lib*.so install

Revision 1.46  2000/12/23 00:48:46  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.45  2000/11/29 16:20:08  dobrek
- removed compilation using compaq compiler.

Revision 1.44  2000/11/21 00:02:22  kloczek
- replace all "-mcpu=ultrasparc" by %{optflags} for generate correct
  binaries on sparc32/sparc64.

Revision 1.43  2000/11/20 23:58:23  kloczek
- release 4: added touch Makefile.* for correcting tme from future on this
  files.

Revision 1.42  2000/10/18 15:28:07  dobrek
- Added suport for ccc compiler on AXP + corrected problems with shared librares
- One patch added
- Release=3

Revision 1.41  2000/10/16 20:09:48  dobrek
- Corrected architecture name for AXP. into linux-alpha-gcc

Revision 1.40  2000/10/12 13:14:59  kloczek
- adaptrerized and removed stripping from %install,
- changed Group to Applications/Communications in tools, tools-perl.

Revision 1.39  2000/10/12 12:26:52  wiget
- fix install

Revision 1.38  2000/10/10 12:02:52  wiget
- Release: 2
- fix building for i{3,4}86

Revision 1.37  2000/09/30 07:43:10  kravietz
- upgraded to OpenSSL-0.9.6

Revision 1.36  2000/08/28 23:21:19  kloczek
- s/\.gz/\*/ in %files for mana pages,
- group compress man pages in one line in %install,
- diew other cosmetics.

Revision 1.35  2000/08/24 15:52:02  mis
- splited openssl again (following Wiget suggestions) to:
  openssl (libraries),
  openssl-tools (openssl cmdline tool and scripts)
  openssl-tools-perl (Perl scripts)
- removed rehashing certs from %post, I think it may confuse some
  running apps during openssl-tools upgrade (I'm not sure); and
  seems nobody needs it -- "c_rehash certs" does nothing)
- man pages are installed instead of PODs (this should be a patch for
  Makefile, instead of %build part, TODO)
- adpterized and some cosmetics

Revision 1.34  2000/08/22 16:38:11  mis
- openssl package splited to openssl (with scripts and binaries) and
  openssl-libs (with shared libraries only).
  That's for the ones who use programs which not need whole openssl
  (like ssh, which use libcrypto only).
  I'm not sure that "openssl-libs" name is a good choice, fix me if not.

Revision 1.33  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.32  2000/05/26 00:11:46  kloczek
- release 3,
- added %dir %{_sysconfdir} to %files.

Revision 1.31  2000/05/24 18:14:06  kloczek
- release 2.

Revision 1.30  2000/05/24 18:01:14  zagrodzki
- prereq: sed, fileutils (c_rehash requires this)

Revision 1.29  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.28  2000/05/10 17:58:25  kloczek
- fixed %install,
  WARNING: current adapter.awk have bug (replaces all "rm -rf $RPM_BUILD_ROOT*"
  by "rm -rf $RPM_BUILD_ROOT").

Revision 1.27  2000/05/10 17:18:59  kloczek
- spec adapterized.

Revision 1.26  2000/05/10 11:58:10  wiget
- 0.9.5a

Revision 1.25  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.24  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.22  2000/03/03 10:59:41  wiget
- updated to 0.9.5

Revision 1.21  2000/01/15 14:36:29  kloczek
- added fr Summary (from MDK).

Revision 1.20  1999/12/21 22:31:28  wiget
- removed patch changing libcrypto -> libsslcrypto
  Now all other packages whats depend to openssl must have
  BuildPrereq: openssl-devel >= 0.9.4-2

Revision 1.19  1999/09/13 08:01:25  jajcus
- fixed BR#72 (mv -> cp -d)

Revision 1.18  1999/08/21 17:21:35  kloczek
- updated to 0.9.4,
- reordered translations.

Revision 1.17  1999/07/21 11:42:20  pius
- added BuildRequires: symlinks.

Revision 1.16  1999/07/21 10:29:40  baggins
- fixed wrong symlink

Revision 1.15  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.13  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
